Bottom icon on launcher tilts when it maybe shouldn't if icons fill launcher nearly exactly

Reported by Stuart Langridge on 2011-03-04
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Unity
Low
Andrea Azzarone
unity (Ubuntu)
Low
Andrea Azzarone
Natty
Undecided
Unassigned
Oneiric
Low
Andrea Azzarone

Bug Description

Test Case:
  1, Install unity 3.8.14
  2, open enough applications to fill your launcher with icons, but not enough to "overflow" the launcher if you mouse over the launcher
  3, check that the bottom icon is not folded/folding when you are not mousing over the launcher or using keynav

Binary package hint: unity

If the launcher is almost exactly filled with icons (that is, the number of icons is enough to fill the launcher plus a tiny bit) then the bottom icon tilts so as to fit in the launcher, but it only tilts a tiny bit. Then, when I mouseover the launcher, that icon untilts, just a tiny bit. It looks quite strange, because the tiny amount of tilt is not really enough to see that the icon *is* tilted, and so it just looks like the bottom icon just oddly changes shape on mouseover.

See attached video for a much better visual explanation.

Suggested fixes:
 * don't tilt the bottom icon unless it'll tilt enough to actually see that it's tilted (as you can see in the video, when untilted, the icon fits in the launcher)
 * tilt the bottom icon more than would technically be required in order that it looks tilted

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.6.0-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1280x800
 edid-base64: AP///////wAwZAYjMjQ5NTISAQOAHRJ4Cof1lFdPjCcnUFQAAAABAQEBAQEBAQEBAQEBAQEBKhwAqFAgHjAQMCIAH7QQAAAYAAAAAAAAAAAAAAAAAAAAAAAAAAAA/gBSUDc3NKMxMzNFV0REAAAA/gAIDBAUKFB/2AEBCiAgAL4=
DRM.card0.VGA.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1680x1050 1280x1024 1280x1024 1280x960 1152x864 1024x768 1024x768 1024x768 832x624 800x600 800x600 800x600 800x600 640x480 640x480 640x480 640x480 720x400
 edid-base64: AP///////wBMLdIDMjJBSCMTAQMOMB54KtxVo1lIniQRUFS/74CzAIGAgUBxTwEBAQEBAQEBITmQMGIaJ0BosDYA2igRAAAcAAAA/QA4Sx5REAAKICAgICAgAAAA/ABTeW5jTWFzdGVyCiAgAAAA/wBIOUZTODM5NDg1CiAgAAI=
Date: Fri Mar 4 09:45:13 2011
DistUpgraded: Log time: 2011-01-18 17:25:59.814253
DistroCodename: natty
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0209]
   Subsystem: Dell Device [1028:0209]
MachineType: Dell Inc. XPS M1330
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_GB.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: root=UUID=b572742c-deea-43ec-92d3-b1d1e6b6802f ro quiet splash
ProcVersionSignature_: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
ProcVersionSignature__: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Renderer: Unknown
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2011-01-18 (44 days ago)
dmi.bios.date: 12/26/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.name: 0N6705
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd12/26/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn0N6705:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1330
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.4-0ubuntu3
version.libdrm2: libdrm2 2.4.23-1ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1~git20110215.cc1636b6-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu11
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu5

Stuart Langridge (sil) wrote :
description: updated
Alex Launi (alexlauni) on 2011-03-07
Changed in unity:
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
Changed in unity:
importance: Undecided → Low
tags: added: bitesize
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
Alex Launi (alexlauni) on 2011-05-23
Changed in unity:
status: Confirmed → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity:
milestone: none → 3.8.14
Gord Allott (gordallott) on 2011-05-26
description: updated
Didier Roche (didrocks) on 2011-05-26
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1

---------------
unity (3.8.14-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu Oneiric):
status: Fix Committed → Fix Released

Accepted unity into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in unity (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.14-0ubuntu1~natty1

---------------
unity (3.8.14-0ubuntu1~natty1) natty-proposed; urgency=low

  * New upstream bug-fix release.
    - In a dual monitor setup with different resolutions, Unity places windows
      in the "dead zone" (LP: #752098)
    - Left pixel of launcher is not clickable on session start (LP: #758026)
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #737320)
    - unity --reset crashes with NameError (LP: #774280)
    - Bottom icon on launcher tilts when it maybe shouldn't if icons fill
      launcher nearly exactly (LP: #728949)
    - Dodge active window - launcher should not show when modal dialog is
      opened (LP: #718185)
    - Unity maximizes windows that don't support resize on launch (LP: #769781)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - inactive menus becomes brighter on sub-sequent clicks (LP: #733740)
    - Unity crashes when dynamic quicklist dbusmenu contains a hidden menuitem.
      (LP: #759174)
    - Opening quicklist with launcher keynav returns focus to previous window
      (LP: #750781)
    - window's title does not fade in the right position (LP: #722178)
  * debian/control:
    - depends on compiz for some people upgrading (LP: #773253)
  * debian/patches/01_add_scp_to_systray.patch:
    - remove, upstream now
 -- Didier Roche <email address hidden> Thu, 26 May 2011 17:41:14 +0200

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers